Package org.eclipse.mat.report

# Class TestSuite

java.lang.Object
org.eclipse.mat.report.TestSuite

public class TestSuite extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TestSuite.Builder`

## Method Summary

Modifier and Type
Method
Description
`void`
`addResult(File result)`
`ITestResult.Status`
`execute(IProgressListener listener)`
`File`
`getOutput()`
`IQueryContext`
`getQueryContext()`
`List<File>`
`getResults()`
`Spec`
`spec()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### execute

public ITestResult.Status execute(IProgressListener listener) throws IOException, SnapshotException

Throws:
  `IOException`
  `SnapshotException`

### spec

public Spec spec()

### getQueryContext

public IQueryContext getQueryContext()

### getOutput

public File getOutput()

### getResults

public List<File> getResults()

### addResult

public void addResult(File result)